#***************************************************************************************************
#                        R script for visualising Hypersphere TopoART networks                     *
#***************************************************************************************************
#                           Created by Marko Tscherepanow, 21 September 2014                       *
#***************************************************************************************************
# requires R package "plotrix" to be installed                                                     *
#***************************************************************************************************

# set the working directory to LibTopoART_v0.81/R/
# Run: source("ShowHypersphereTopoARTResults.R")

# load R package "plotrix"
# if not available, it may be installed with 'install.packages("plotrix")'
library(plotrix)

sapply(list.files(pattern = "[.]R$", path = "functions/", full.names = TRUE), source)

HypersphereTopoART()

# open Hypersphere TopoART network saved as a text file
hta <- new("HypersphereTopoARTNetwork", path = "../results/networks/Hypersphere_TopoART_AIL12-like_dataset.txt")

# images are saved to images/HTA_x.pdf, where x denotes the module (a, b, c, d, or e)
SaveNetworkPlot(hta)

